For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Reconciliations

Fetch a paginated list of reconciliation records for a specific user.

/reconciliation

GET https://api.terminal.africa/v1/reconciliation

This endpoint allows you to get a list of reconciliation records raised against your shipments. Records are returned newest first.

Query Parameters

Name
Type
Description

perPage

Number

Specify how many records will be sent in a single response. Defaults to 100, capped at 200.

page

Number

Specify what page of records will be sent in response. Defaults to 1.

is_charged

Boolean

Filter by whether the discrepancy has been billed. true or false.

is_automated

Boolean

Filter by whether the record was raised by the automated sweep. true or false.

Headers

Name
Type
Description

Authorization*

String

Set value to Bearer SECRET_KEY

Content-Type

String

Set value to application/json

{
    "status": true,
    "message": "Reconciliations retrieved successfully",
    "data": {
        "reconciliations": [
            {
                "reconcilliation_id": "RC-8TQK2M4XZP71VBDR",
                "shipment_id": "SH-40208776515",
                "platform": "dhl",
                "reconciliation_stage": "invoice",
                "charge_type": "weight",
                "total_old_shipment_cost": 42350,
                "total_new_shipment_cost": 51720,
                "total_exception_charge": 9370,
                "charge_after": null,
                "descripancy_challenged": false,
                "billing_skipped": false,
                "is_charged": true,
                "charged_at": "2026-09-08T09:14:22.418Z",
                "transaction_id": "TR-28598558366",
                "reversal_transaction_id": "",
                "voided": false,
                "voided_at": null,
                "shipment_data": [
                    {
                        "shipment_id": "SH-40208776515",
                        "shipment_number": "7412089553",
                        "carrierName": "DHL Express",
                        "platform": "dhl",
                        "declared_weight": 2,
                        "actual_weight": 3.5,
                        "old_shipment_cost": 42350,
                        "new_shipment_cost": 51720,
                        "exception_charge": 9370,
                        "tracking_only": false,
                        "reconciliation_stage": "invoice"
                    }
                ],
                "created_at": "2026-09-01T06:02:11.903Z",
                "updated_at": "2026-09-08T09:14:22.418Z"
            }
        ],
        "pagination": {
            "page": 1,
            "perPage": 100,
            "prevPage": null,
            "nextPage": null,
            "currentPage": 1,
            "total": 1,
            "pageCount": 1,
            "pagingCounter": 1,
            "hasPrevPage": false,
            "hasNextPage": false
        }
    }
}

Was this helpful?